package com.cooleshow.teacher.ui.course;

import android.view.View;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.cooleshow.base.router.RouterPath;
import com.cooleshow.base.ui.activity.BaseMVPActivity;
import com.cooleshow.teacher.contract.CreateLiveCourseArrangementContract;
import com.cooleshow.teacher.databinding.ActivityCreateLiveCourseArrangmentBinding;
import com.cooleshow.teacher.presenter.course.CreateLiveCourseArrangementPresenter;

/**
 * 创建日期：2022/5/20 10:28
 *
 * @author Ryan
 * 类说明：
 */
@Route(path = RouterPath.CourseCenter.TEACHER_MINE_CREATE_LIVE_COURSE_ARRANGEMENT)
public class CreateLiveCourseArrangementActivity extends BaseMVPActivity<ActivityCreateLiveCourseArrangmentBinding, CreateLiveCourseArrangementPresenter> implements CreateLiveCourseArrangementContract.CreateLiveCourseArrangementView, View.OnClickListener {
    @Override
    public void onClick(View view) {

    }

    @Override
    protected void initView() {
        initMidTitleToolBar(viewBinding.toolbarInclude.toolbar, "创建直播课");

    }

    @Override
    protected ActivityCreateLiveCourseArrangmentBinding getLayoutView() {
        return ActivityCreateLiveCourseArrangmentBinding.inflate(getLayoutInflater());
    }

    @Override
    protected CreateLiveCourseArrangementPresenter createPresenter() {
        return new CreateLiveCourseArrangementPresenter();
    }
}
